﻿using Stimulsoft.Report;
using Stimulsoft.Report.Dictionary;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace LockVariableFix
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnBrowseStimulReport_Click(object sender, EventArgs e)
        {
            openFileDialog1.Title = "Select Report template file";
            openFileDialog1.Filter = "Report Template (*.mrt)|*.mrt";

            if (openFileDialog1.ShowDialog() == DialogResult.OK)
                tbStimulReportFile.Text = Path.Combine(Path.GetDirectoryName(openFileDialog1.FileName), Path.GetFileNameWithoutExtension(openFileDialog1.FileName) + ".mrt");
        }

        private void btnClose_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void btnConvert_Click(object sender, EventArgs e)
        {
            if (!File.Exists(tbStimulReportFile.Text))
            {
                MessageBox.Show("File not found",
                    null, MessageBoxButtons.OK, MessageBoxIcon.Error,
                    MessageBoxDefaultButton.Button1, MessageBoxOptions.DefaultDesktopOnly);
            }
            else
            {
                StiReport report = new StiReport();

                report.Load(tbStimulReportFile.Text);

                foreach (StiVariable variable in report.Dictionary.Variables)
                {
                    variable.Inherited = false;
                }

                MessageBox.Show("Unlock complete!");
            }
        }
    }
}
